configure custom fields as "required for status transition"

2009-01-13 14:07 - Olivier Abad

Status: Closed Start date: 2009-01-13

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues workflow Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

I would like to be able to configure custom fields as "required" but only for some issue statuses.

For example, in our workflow, we defined a status named "Livré", and a custom field named "Réf dossier livraison", and we would like

this field to be filled when changing the ticket status to "Livré" but not before.

Related issues:

Related to Redmine - Feature #8050: Mightful workflow field enhancement:  vis... Closed 2011-04-03

Has duplicate Redmine - Feature #8005: Required fields depending on status Closed 2011-03-28

Has duplicate Redmine - Feature #9280: Required Custom field on Status Closed 2011-09-19

Is duplicate of Redmine - Feature #703: Configurable required fields per trac... Closed 2008-02-21

History

#1 - 2009-05-13 13:11 - Hans Kazan

+1

#2 - 2010-11-15 22:49 - Steve Overton

I believe this would be a major change to Redmine but it would take it to the next level. We are currently using ClearQuest (contractual) and Redmine

and one of the few things (that matter to us) that ClearQuest has that Redmine does not is to have required fields per status.

+1

#3 - 2011-03-08 15:22 - Torgrim Brochmann

+1

Required per status for all fields, not just custom fields

#4 - 2011-03-08 15:22 - Etienne Massip

- Category changed from Issues to Issues workflow

#5 - 2011-03-08 16:10 - Terence Mill

+1

This is very essential for use, but we already live this feature by process doc and this isn't very safe. A redmine enforced behavour would be much

better.

#6 - 2011-03-08 17:08 - Gilles DUGAST

+1

Very essential feature! I'd like to see it very soon.

#7 - 2011-03-08 17:09 - Fabrice MOUCHERE

+1

#8 - 2011-03-28 17:30 - Julio Blanco

+1 Critical feature

#9 - 2011-03-28 22:06 - Bruno Samora

+1
#10 - 2011-03-29 07:16 - Andrea Saccavini

+1

#11 - 2011-04-11 20:21 - Paulo Oliveira

+1

#12 - 2011-04-22 16:49 - Jason Waldrip

+1

#13 - 2011-07-03 19:06 - Clyde Goffe

+1

#14 - 2011-09-01 15:00 - Gurvan Le Dromaguet

+1 Almost mandatory, key feature to have reliable information when >100 users

#15 - 2011-10-04 14:23 - Sébastien Gripon

+1

#16 - 2011-10-31 09:00 - Daniel Moore

Sébastien Gripon wrote:

+1

 +1

#17 - 2011-10-31 09:01 - Daniel Moore

+1

#18 - 2011-11-02 09:41 - Sébastien Gripon

Note that in order to get this important feature, we have inserted javascript function that check some fields when changing the status. This is really

easy to implement but should be built in redmine.

#19 - 2011-11-02 09:50 - Gurvan Le Dromaguet

Sébastien Gripon wrote:

Note that in order to get this important feature, we have inserted javascript function that check some fields when changing the status. This is

really easy to implement but should be built in redmine.

 Hi Sébastien,

In case your code is re-usable, any chance to share it with us ?

#20 - 2011-11-02 18:13 - Sébastien Gripon

- File dynamic-mandatory-issue-field.js added

The code was not really reusable because of many business specific rules. However, I attached a clean dirty version with no warranty! Not tested,

with no support! Sorry but time is missing ;o)

#21 - 2011-11-02 18:15 - Gurvan Le Dromaguet

Thanks Sebastien,

I should have time to take a look at it and test it on my generic environment tomorrow.

will come back thereafter :)

#22 - 2011-11-02 23:02 - Terence Mill

This is covered by #8050

#23 - 2012-07-15 18:27 - Jean-Philippe Lang

- Status changed from New to Closed
https://www.redmine.org/issues/8050


- Resolution set to Duplicate

Implemented as part of #703.

Files

dynamic-mandatory-issue-field.js 1.36 KB 2011-11-02 Sébastien Gripon
